ICC C# SDK

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
ICC4cPwmSdk.Device.Ecc1cSdkDeviceController Class Reference
Inheritance diagram for ICC4cPwmSdk.Device.Ecc1cSdkDeviceController:

## Public Member Functions
| Ecc1cSdkDeviceController ()
bool | Connect (int port)
void | Disconnect (bool cleanUp)
bool | GoToDfuMode ()
bool | ChangeModeToPro ()
bool | ChangeModeToSimple ()
bool | IsConnected ()
bool | Reconnect ()
string | GetElectronicSerialNumber ()
string | GetLensSerialNumber ()
EConnectedDeviceType | GetLensType ()
int | GetBoardFirmwareId ()
int | GetBoardFirmwareBranch ()
char | GetBoardFirmwareType ()
int | GetBoardFirmwareMajorVersion ()
int | GetBoardFirmwareMinorVersion ()
int | GetBoardFirmwareRevisionVersion ()
int | GetBoardFirmwareBuildVersion ()
string | GetFirmwareSerialNumber ()
string | GetGitHeadSha1 ()
IDeviceErrorState[] | GetDeviceStatus ()
void | ResetErrorFlags ()
EChannel | GetEepromActiveChannel ()
void | SetBytes (int index, byte[] inputBytes)
byte[] | GetBytes (int index, int length)
int | GetEepromVersion ()
int | GetEepromSubVersion ()
int | GetPartConfiguration ()
int | GetPartConfigurationVersion ()
float | GetMaxPositiveCurrent ()
float | GetMaxNegativeCurrent ()
int | GetOqcResult ()
uint | GetProductionTimeStamp ()
void | LockDeviceEepromWriting ()
void | UnlockDeviceEepromWriting ()
void | ReparseDeviceEeprom ()
int | GetDeviceEepromSize ()
float | GetBoardOutputTemperature ()
void | SetBoardOutputTemperatureThreshold (float temperatureThreshold)
float | GetBoardOutputTemperatureThreshold ()
float | GetBoardPowerTemperature ()
void | SetBoardPowerTemperatureThreshold (float temperatureThreshold)
float | GetBoardPowerTemperatureThreshold ()
float | GetDeviceTemperature ()
void | SetDeviceTemperatureThreshold (float temperatureThreshold)
float | GetDeviceTemperatureThreshold ()
void | SetActiveSystem (EIcc4cControlModeSystems controlModeSystem)
void | ChangeActiveSystem (EInputSignalStageSystem selectedInputStageSystem)
float | GetCurrent ()
void | SetCurrent (float value)
float | GetDiopter ()
void | SetDiopter (float value)
float[] | GetVectorValues ()
void | SetVectorValues (float[] values, int startIndex=0)
void | SetUnitType (EICC4cPwmUnitType unit)
void | SwitchArbitraryVector (bool running)
float | GetSampleRate ()
void | SetSampleRate (float value)
float | GetMinimumSamplingRate ()
float | GetMaximumSamplingRate ()
void | SwitchRunning (bool enable)
ESignalGeneratorShape | GetShape ()
void | SetShape (ESignalGeneratorShape shape)
float | GetFrequency ()
void | SetFrequency (float value)
float | GetAmplitude ()
void | SetAmplitude (float value)
float | GetScale ()
void | SetScale (float value)
float | GetPhaseDelay ()
void | SetPhaseDelayDegrees (float phaseDelay)
float | GetPhaseDelayDegrees ()
void | SetPhaseDelay (float phaseDelay)
float | GetDutyCycles ()
void | SetDutyCycles (float dutyCycles)
SignalGeneratorParametersDto | GetSignalGeneratorValues ()
void | SetSignalGeneratorValues (SignalGeneratorParametersDto parameters)
void | ResetFirmware ()
bool | GetFrontEndPowerState ()
void | SetFontEndPowerState (bool state)
float | GetFrontEndVoltage ()
void | SetFrontEndVoltage (float frontEndVoltage)
EPwmFrequency | GetOutputStagePwmFrequency ()
void | SetOutputStagePwmFrequency (EPwmFrequency frequency)
bool | GetOutputStageEnabled ()
void | SetOutputStageEnabled (bool enabled)
float | GetAdcI ()
float | GetAdcV ()
int | GetDevPower ()
void | SetDevPower (int power)
EConnectedDeviceType | GetDeviceType ()
float | GetUin ()
float | GetIin ()
float | GetUfe ()
float | GetAnalogIn ()
float | GetResistance ()
float | GetPinAvg ()
EAutoConfig | GetAutoConfig ()
void | SetAutoConfig (EAutoConfig eAutoConfig)
List< byte > | GetI2CList ()
void | SetGpioState (int value)
int | GetGPIOState ()
void | SetGpioDirection (int value)
int | GetGPIODirection ()
float | GetLensCompensationOutputCurrent ()
byte[] | GetValue (int registerId)
bool | SetValue (int registerId, ValueType value)
void | SetSmartStepManagerFilter (bool isEnabled)
bool | GetSmartStepManagerFilterActivated ()
void | SetAnalogInputCurrentMax (float value)
void | SetAnalogInputCurrentMin (float value)
float | GetAnalogInputCurrentMax ()
float | GetAnalogInputCurrentMin ()
void | SetAnalogInputDiopterMax (float value)
void | SetAnalogInputDiopterMin (float value)
float | GetAnalogInputDiopterMax ()
float | GetAnalogInputDiopterMin ()
CurrentLimitsDto | GetMinimumAndMaximumCurrent ()
void | SetAnalogInputVoltagePoints (float[] voltages)
void | SetAnalogInputValuePoints (float[] values)
void | SetAnalogInputType (EICC4cPwmUnitType type)
EICC4cPwmUnitType | GetAnalogActiveInputType ()
EICC4cPwmUnitType | GetAnalogInputType ()
void | SetAnalogInputExtrapolation (EExtrapolationType extrapolation)
EExtrapolationType | GetAnalogInputExtrapolation ()
int | ReadNumberOfAvailableSnapshots ()
int | ReadSnapshotManagerErrorValue ()
int | ReadSnapshotManagerErrorSystemId ()
int | ReadSnapshotManagerErrorRegisterId ()
int | ReadStartupSnapshotNumber ()
bool | WriteStartupSnapshotNumber (int snapshotNumber)
bool | LoadSnapshot (int snapshotNumber)
bool | SaveSnapshot (int snapshotNumber)
float | GetOutputStageCurrentLimit ()
void | SetOutputStageCurrentLimit (float limit)
float | GetOutputStageOutputCurrent ()
float | GetOutputStageSensorOutput ()
void | SetInputSignalVectorPatternValues (IList< float > values, int requiredStartIndex, bool isSecondPart)
List< float > | GetInputSignalVectorPatternValues ()

## Properties
ICh0Status | Status`[get]`
ICh0DeviceEeprom | DeviceEeprom`[get]`
ICh0TemperatureManager | TemperatureManager`[get]`
ICh0SignalFlowManager | SignalFlowManager`[get]`
ICh0MiscFeatures | MiscFeatures`[get]`
ICh0SnapshotManager | SnapshotManager`[get]`
ICh0SmartStepManager | SmartStepManager`[get]`
ICh0VectorPatternMemory | VectorPatternMemory`[get]`
ICh0InputStage | InputStage`[get]`
ICh0InputConditioningStage | InputConditioningStage`[get]`
ICh0ControlModeStage | ControlModeStage`[get]`
ICh0OutputStage | OutputStage`[get]`
ICh0LensCompensation | LensCompensation`[get]`
ICh0StaticValue | StaticValue`[get]`
ICh0SignalGenerator | SignalGenerator`[get]`
ICh0ArbitraryVector | ArbitraryVector`[get]`
ICh0OffsetAndScale | OffsetAndScale`[get]`
ICh0AnalogInput | AnalogInput`[get]`

## Constructor & Destructor Documentation

## ◆ Ecc1cSdkDeviceController()

ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.Ecc1cSdkDeviceController | ( |  | ) |

## Member Function Documentation

## ◆ ChangeActiveSystem()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.ChangeActiveSystem | ( | EInputSignalStageSystem | selectedInputStageSystem | ) |

## ◆ ChangeModeToPro()

bool ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.ChangeModeToPro | ( |  | ) |

## ◆ ChangeModeToSimple()

bool ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.ChangeModeToSimple | ( |  | ) |

## ◆ Connect()

bool ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.Connect | ( | int | port | ) |

## ◆ Disconnect()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.Disconnect | ( | bool | cleanUp | ) |

## ◆ GetAdcI()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetAdcI | ( |  | ) |

## ◆ GetAdcV()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetAdcV | ( |  | ) |

## ◆ GetAmplitude()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetAmplitude | ( |  | ) |

## ◆ GetAnalogActiveInputType()

EICC4cPwmUnitType ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetAnalogActiveInputType | ( |  | ) |

## ◆ GetAnalogIn()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetAnalogIn | ( |  | ) |

## ◆ GetAnalogInputCurrentMax()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetAnalogInputCurrentMax | ( |  | ) |

## ◆ GetAnalogInputCurrentMin()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetAnalogInputCurrentMin | ( |  | ) |

## ◆ GetAnalogInputDiopterMax()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetAnalogInputDiopterMax | ( |  | ) |

## ◆ GetAnalogInputDiopterMin()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetAnalogInputDiopterMin | ( |  | ) |

## ◆ GetAnalogInputExtrapolation()

EExtrapolationType ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetAnalogInputExtrapolation | ( |  | ) |

## ◆ GetAnalogInputType()

EICC4cPwmUnitType ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetAnalogInputType | ( |  | ) |

## ◆ GetAutoConfig()

EAutoConfig ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetAutoConfig | ( |  | ) |

## ◆ GetBoardFirmwareBranch()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetBoardFirmwareBranch | ( |  | ) |

## ◆ GetBoardFirmwareBuildVersion()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetBoardFirmwareBuildVersion | ( |  | ) |

## ◆ GetBoardFirmwareId()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetBoardFirmwareId | ( |  | ) |

## ◆ GetBoardFirmwareMajorVersion()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetBoardFirmwareMajorVersion | ( |  | ) |

## ◆ GetBoardFirmwareMinorVersion()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetBoardFirmwareMinorVersion | ( |  | ) |

## ◆ GetBoardFirmwareRevisionVersion()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetBoardFirmwareRevisionVersion | ( |  | ) |

## ◆ GetBoardFirmwareType()

char ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetBoardFirmwareType | ( |  | ) |

## ◆ GetBoardOutputTemperature()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetBoardOutputTemperature | ( |  | ) |

## ◆ GetBoardOutputTemperatureThreshold()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetBoardOutputTemperatureThreshold | ( |  | ) |

## ◆ GetBoardPowerTemperature()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetBoardPowerTemperature | ( |  | ) |

## ◆ GetBoardPowerTemperatureThreshold()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetBoardPowerTemperatureThreshold | ( |  | ) |

## ◆ GetBytes()

byte[] ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetBytes | ( | int | index,
|  | int | length )

## ◆ GetCurrent()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetCurrent | ( |  | ) |

## ◆ GetDeviceEepromSize()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetDeviceEepromSize | ( |  | ) |

## ◆ GetDeviceStatus()

IDeviceErrorState[] ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetDeviceStatus | ( |  | ) |

## ◆ GetDeviceTemperature()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetDeviceTemperature | ( |  | ) |

## ◆ GetDeviceTemperatureThreshold()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetDeviceTemperatureThreshold | ( |  | ) |

## ◆ GetDeviceType()

EConnectedDeviceType ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetDeviceType | ( |  | ) |

## ◆ GetDevPower()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetDevPower | ( |  | ) |

## ◆ GetDiopter()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetDiopter | ( |  | ) |

## ◆ GetDutyCycles()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetDutyCycles | ( |  | ) |

## ◆ GetEepromActiveChannel()

EChannel ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetEepromActiveChannel | ( |  | ) |

## ◆ GetEepromSubVersion()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetEepromSubVersion | ( |  | ) |

## ◆ GetEepromVersion()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetEepromVersion | ( |  | ) |

## ◆ GetElectronicSerialNumber()

string ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetElectronicSerialNumber | ( |  | ) |

## ◆ GetFirmwareSerialNumber()

string ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetFirmwareSerialNumber | ( |  | ) |

## ◆ GetFrequency()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetFrequency | ( |  | ) |

## ◆ GetFrontEndPowerState()

bool ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetFrontEndPowerState | ( |  | ) |

## ◆ GetFrontEndVoltage()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetFrontEndVoltage | ( |  | ) |

## ◆ GetGitHeadSha1()

string ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetGitHeadSha1 | ( |  | ) |

## ◆ GetGPIODirection()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetGPIODirection | ( |  | ) |

## ◆ GetGPIOState()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetGPIOState | ( |  | ) |

## ◆ GetI2CList()

List< byte > ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetI2CList | ( |  | ) |

## ◆ GetIin()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetIin | ( |  | ) |

## ◆ GetInputSignalVectorPatternValues()

List< float > ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetInputSignalVectorPatternValues | ( |  | ) |

## ◆ GetLensCompensationOutputCurrent()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetLensCompensationOutputCurrent | ( |  | ) |

## ◆ GetLensSerialNumber()

string ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetLensSerialNumber | ( |  | ) |

## ◆ GetLensType()

EConnectedDeviceType ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetLensType | ( |  | ) |

## ◆ GetMaximumSamplingRate()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetMaximumSamplingRate | ( |  | ) |

## ◆ GetMaxNegativeCurrent()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetMaxNegativeCurrent | ( |  | ) |

## ◆ GetMaxPositiveCurrent()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetMaxPositiveCurrent | ( |  | ) |

## ◆ GetMinimumAndMaximumCurrent()

CurrentLimitsDto ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetMinimumAndMaximumCurrent | ( |  | ) |

## ◆ GetMinimumSamplingRate()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetMinimumSamplingRate | ( |  | ) |

## ◆ GetOqcResult()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetOqcResult | ( |  | ) |

## ◆ GetOutputStageCurrentLimit()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetOutputStageCurrentLimit | ( |  | ) |

## ◆ GetOutputStageEnabled()

bool ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetOutputStageEnabled | ( |  | ) |

## ◆ GetOutputStageOutputCurrent()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetOutputStageOutputCurrent | ( |  | ) |

## ◆ GetOutputStagePwmFrequency()

EPwmFrequency ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetOutputStagePwmFrequency | ( |  | ) |

## ◆ GetOutputStageSensorOutput()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetOutputStageSensorOutput | ( |  | ) |

## ◆ GetPartConfiguration()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetPartConfiguration | ( |  | ) |

## ◆ GetPartConfigurationVersion()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetPartConfigurationVersion | ( |  | ) |

## ◆ GetPhaseDelay()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetPhaseDelay | ( |  | ) |

## ◆ GetPhaseDelayDegrees()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetPhaseDelayDegrees | ( |  | ) |

## ◆ GetPinAvg()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetPinAvg | ( |  | ) |

## ◆ GetProductionTimeStamp()

uint ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetProductionTimeStamp | ( |  | ) |

## ◆ GetResistance()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetResistance | ( |  | ) |

## ◆ GetSampleRate()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetSampleRate | ( |  | ) |

## ◆ GetScale()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetScale | ( |  | ) |

## ◆ GetShape()

ESignalGeneratorShape ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetShape | ( |  | ) |

## ◆ GetSignalGeneratorValues()

SignalGeneratorParametersDto ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetSignalGeneratorValues | ( |  | ) |

## ◆ GetSmartStepManagerFilterActivated()

bool ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetSmartStepManagerFilterActivated | ( |  | ) |

## ◆ GetUfe()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetUfe | ( |  | ) |

## ◆ GetUin()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetUin | ( |  | ) |

## ◆ GetValue()

byte[] ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetValue | ( | int | registerId | ) |

## ◆ GetVectorValues()

float[] ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetVectorValues | ( |  | ) |

## ◆ GoToDfuMode()

bool ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GoToDfuMode | ( |  | ) |

## ◆ IsConnected()

bool ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.IsConnected | ( |  | ) |

## ◆ LoadSnapshot()

bool ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.LoadSnapshot | ( | int | snapshotNumber | ) |

## ◆ LockDeviceEepromWriting()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.LockDeviceEepromWriting | ( |  | ) |

## ◆ ReadNumberOfAvailableSnapshots()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.ReadNumberOfAvailableSnapshots | ( |  | ) |

## ◆ ReadSnapshotManagerErrorRegisterId()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.ReadSnapshotManagerErrorRegisterId | ( |  | ) |

## ◆ ReadSnapshotManagerErrorSystemId()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.ReadSnapshotManagerErrorSystemId | ( |  | ) |

## ◆ ReadSnapshotManagerErrorValue()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.ReadSnapshotManagerErrorValue | ( |  | ) |

## ◆ ReadStartupSnapshotNumber()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.ReadStartupSnapshotNumber | ( |  | ) |

## ◆ Reconnect()

bool ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.Reconnect | ( |  | ) |

## ◆ ReparseDeviceEeprom()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.ReparseDeviceEeprom | ( |  | ) |

## ◆ ResetErrorFlags()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.ResetErrorFlags | ( |  | ) |

## ◆ ResetFirmware()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.ResetFirmware | ( |  | ) |

## ◆ SaveSnapshot()

bool ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SaveSnapshot | ( | int | snapshotNumber | ) |

## ◆ SetActiveSystem()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetActiveSystem | ( | EIcc4cControlModeSystems | controlModeSystem | ) |

## ◆ SetAmplitude()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetAmplitude | ( | float | value | ) |

## ◆ SetAnalogInputCurrentMax()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetAnalogInputCurrentMax | ( | float | value | ) |

## ◆ SetAnalogInputCurrentMin()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetAnalogInputCurrentMin | ( | float | value | ) |

## ◆ SetAnalogInputDiopterMax()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetAnalogInputDiopterMax | ( | float | value | ) |

## ◆ SetAnalogInputDiopterMin()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetAnalogInputDiopterMin | ( | float | value | ) |

## ◆ SetAnalogInputExtrapolation()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetAnalogInputExtrapolation | ( | EExtrapolationType | extrapolation | ) |

## ◆ SetAnalogInputType()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetAnalogInputType | ( | EICC4cPwmUnitType | type | ) |

## ◆ SetAnalogInputValuePoints()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetAnalogInputValuePoints | ( | float[] | values | ) |

## ◆ SetAnalogInputVoltagePoints()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetAnalogInputVoltagePoints | ( | float[] | voltages | ) |

## ◆ SetAutoConfig()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetAutoConfig | ( | EAutoConfig | eAutoConfig | ) |

## ◆ SetBoardOutputTemperatureThreshold()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetBoardOutputTemperatureThreshold | ( | float | temperatureThreshold | ) |

## ◆ SetBoardPowerTemperatureThreshold()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetBoardPowerTemperatureThreshold | ( | float | temperatureThreshold | ) |

## ◆ SetBytes()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetBytes | ( | int | index,
|  | byte[] | inputBytes )

## ◆ SetCurrent()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetCurrent | ( | float | value | ) |

## ◆ SetDeviceTemperatureThreshold()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetDeviceTemperatureThreshold | ( | float | temperatureThreshold | ) |

## ◆ SetDevPower()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetDevPower | ( | int | power | ) |

## ◆ SetDiopter()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetDiopter | ( | float | value | ) |

## ◆ SetDutyCycles()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetDutyCycles | ( | float | dutyCycles | ) |

## ◆ SetFontEndPowerState()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetFontEndPowerState | ( | bool | state | ) |

## ◆ SetFrequency()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetFrequency | ( | float | value | ) |

## ◆ SetFrontEndVoltage()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetFrontEndVoltage | ( | float | frontEndVoltage | ) |

## ◆ SetGpioDirection()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetGpioDirection | ( | int | value | ) |

## ◆ SetGpioState()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetGpioState | ( | int | value | ) |

## ◆ SetInputSignalVectorPatternValues()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetInputSignalVectorPatternValues | ( | IList< float > | values,
|  | int | requiredStartIndex,
|  | bool | isSecondPart )

## ◆ SetOutputStageCurrentLimit()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetOutputStageCurrentLimit | ( | float | limit | ) |

## ◆ SetOutputStageEnabled()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetOutputStageEnabled | ( | bool | enabled | ) |

## ◆ SetOutputStagePwmFrequency()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetOutputStagePwmFrequency | ( | EPwmFrequency | frequency | ) |

## ◆ SetPhaseDelay()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetPhaseDelay | ( | float | phaseDelay | ) |

## ◆ SetPhaseDelayDegrees()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetPhaseDelayDegrees | ( | float | phaseDelay | ) |

## ◆ SetSampleRate()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetSampleRate | ( | float | value | ) |

## ◆ SetScale()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetScale | ( | float | value | ) |

## ◆ SetShape()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetShape | ( | ESignalGeneratorShape | shape | ) |

## ◆ SetSignalGeneratorValues()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetSignalGeneratorValues | ( | SignalGeneratorParametersDto | parameters | ) |

## ◆ SetSmartStepManagerFilter()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetSmartStepManagerFilter | ( | bool | isEnabled | ) |

## ◆ SetUnitType()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetUnitType | ( | EICC4cPwmUnitType | unit | ) |

## ◆ SetValue()

bool ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetValue | ( | int | registerId,
|  | ValueType | value )

## ◆ SetVectorValues()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetVectorValues | ( | float[] | values,
|  | int | startIndex = 0 )

## ◆ SwitchArbitraryVector()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SwitchArbitraryVector | ( | bool | running | ) |

## ◆ SwitchRunning()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SwitchRunning | ( | bool | enable | ) |

## ◆ UnlockDeviceEepromWriting()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.UnlockDeviceEepromWriting | ( |  | ) |

## ◆ WriteStartupSnapshotNumber()

bool ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.WriteStartupSnapshotNumber | ( | int | snapshotNumber | ) |

## Property Documentation

## ◆ AnalogInput

ICh0AnalogInput ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.AnalogInput
| get

## ◆ ArbitraryVector

ICh0ArbitraryVector ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.ArbitraryVector
| get

## ◆ ControlModeStage

ICh0ControlModeStage ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.ControlModeStage
| get

## ◆ DeviceEeprom

ICh0DeviceEeprom ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.DeviceEeprom
| get

## ◆ InputConditioningStage

ICh0InputConditioningStage ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.InputConditioningStage
| get

## ◆ InputStage

ICh0InputStage ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.InputStage
| get

## ◆ LensCompensation

ICh0LensCompensation ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.LensCompensation
| get

## ◆ MiscFeatures

ICh0MiscFeatures ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.MiscFeatures
| get

## ◆ OffsetAndScale

ICh0OffsetAndScale ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.OffsetAndScale
| get

## ◆ OutputStage

ICh0OutputStage ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.OutputStage
| get

## ◆ SignalFlowManager

ICh0SignalFlowManager ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SignalFlowManager
| get

## ◆ SignalGenerator

ICh0SignalGenerator ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SignalGenerator
| get

## ◆ SmartStepManager

ICh0SmartStepManager ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SmartStepManager
| get

## ◆ SnapshotManager

ICh0SnapshotManager ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SnapshotManager
| get

## ◆ StaticValue

ICh0StaticValue ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.StaticValue
| get

## ◆ Status

ICh0Status ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.Status
| get

## ◆ TemperatureManager

ICh0TemperatureManager ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.TemperatureManager
| get

## ◆ VectorPatternMemory

ICh0VectorPatternMemory ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.VectorPatternMemory
| get

The documentation for this class was generated from the following file:

- Ecc1cSdkDeviceController.cs